$AdfDhtmlPanelBoxPeer$$.$_SUB_ID_MAP$ = {disclosure_icon:"_afrDscl", content:"content"};
$AdfDhtmlPanelBoxPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlPanelBoxPeer$$$$$GetSubIdDomElement$$($domElement$$665_pbTable_subElementId$$42$$) {
  $AdfAssert$$.$assertNonEmptyString$($domElement$$665_pbTable_subElementId$$42$$);
  var $component$$2445_x$$75$$ = this.$getComponent$();
  if ("title" == $domElement$$665_pbTable_subElementId$$42$$) {
    $domElement$$665_pbTable_subElementId$$42$$ = this.$getDomElement$();
    $domElement$$665_pbTable_subElementId$$42$$ = $AdfDomUtils$$.$getFirstDescendentElement$($domElement$$665_pbTable_subElementId$$42$$, "TABLE");
    if (null == $domElement$$665_pbTable_subElementId$$42$$) {
      return null;
    }
    for ($component$$2445_x$$75$$ = 1;6 >= $component$$2445_x$$75$$;$component$$2445_x$$75$$++) {
      var $header$$8$$ = $AdfDomUtils$$.$getFirstDescendentElement$($domElement$$665_pbTable_subElementId$$42$$, "h" + $component$$2445_x$$75$$);
      if (null != $header$$8$$) {
        return $header$$8$$;
      }
    }
    return null;
  }
  return $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($domElement$$665_pbTable_subElementId$$42$$, $AdfDhtmlPanelBoxPeer$$.$_SUB_ID_MAP$, $component$$2445_x$$75$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlPanelBoxPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlPanelBoxPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlPanelBoxPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlPanelBoxPeer$$$$$GetBestMatchSubId$$($childElement$$33$$) {
  var $domElement$$666_pbTable$$1$$ = this.$getDomElement$();
  if ($domElement$$666_pbTable$$1$$ = $AdfDomUtils$$.$getFirstDescendentElement$($domElement$$666_pbTable$$1$$, "TABLE")) {
    for (var $x$$76$$ = 1;6 >= $x$$76$$;$x$$76$$++) {
      var $header$$9$$ = $AdfDomUtils$$.$getFirstDescendentElement$($domElement$$666_pbTable$$1$$, "h" + $x$$76$$);
      if ($header$$9$$ && $header$$9$$ === $childElement$$33$$) {
        return "title";
      }
    }
  }
  return $AdfSubIdUtils$$.$getBestMatchSubId$($childElement$$33$$, this, $AdfDhtmlPanelBoxPeer$$.$_SUB_ID_MAP$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlPanelBoxPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlPanelBoxPeer$$.prototype.$GetBestMatchSubId$});
